/* ---- public ---- */

#define LOADER_MAXLEVEL 512

/* generic loader */
node_t *tree_load(const char *filename, const char *format);

/* generic loader cleanup */
node_t *tree_load_cleanup(const char *format);

/* ---- internal ---- */

/* per file format loaders */
node_t *tree_load_c(const char *filename);
node_t *tree_load_ind(const char *filename);
node_t *tree_load_xml(const char *filename);

/* per file format cleanup functions */
void tree_load_cleanup_c();
